LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XServiceDisplayName Interface Referencepublished

provides a name for the service to be used in displays. More...

`import"XServiceDisplayName.idl";`

Inheritance diagram for XServiceDisplayName:

## Public Member Functions
string | getServiceDisplayName ([in] ::com::sun::star::lang::Locale aLocale)
| returns the display name of the service for a given language. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides a name for the service to be used in displays.

This name can be used in displays (dialogs, menus, etc.) to provide a more memorable / meaningful name than the service name or its implementation name. It should not be used to identify / select a specific service / implementation.

## Member Function Documentation

## ◆ getServiceDisplayName()

string getServiceDisplayName | ( | [in] ::com::sun::star::lang::Locale | aLocale | ) |

returns the display name of the service for a given language.

The caller may specify a com::sun::star::lang::Locale for the preferred language of the resulting string. However, if that locale is not supported the resulting string may be given in a different language. Usually this should be English.

Parameters

  aLocale | the preferred language for the resulting display name.

Returns
  the string to be used for the service in displays.

The documentation for this interface was generated from the following file:

- com/sun/star/lang/XServiceDisplayName.idl